resources:
    App\Entity\HardwareProfile:
        processor: App\State\Processor\HardwareProfileProcessor
        input: App\Dto\Input\HardwareProfileInput
        output: App\Dto\Output\HardwareProfileOutput
        normalizationContext:
            groups: ['default', 'hardware-profile:read']
        denormalizationContext:
            groups: ['hardware-profile:write']
        operations:
            ApiPlatform\Metadata\GetCollection:
                provider: App\State\Provider\HardwareProfileProvider
                filters:
                    - 'api_platform.filter.hardware.order'
                    - 'api_platform.filter.hardware.search'
            ApiPlatform\Metadata\Get:
                provider: App\State\Provider\HardwareProfileProvider
            ApiPlatform\Metadata\Put:
                provider: App\State\Provider\HardwareProfileProvider
            ApiPlatform\Metadata\Patch:
                provider: App\State\Provider\HardwareProfileProvider
            ApiPlatform\Metadata\Post: ~
            ApiPlatform\Metadata\Delete: ~

properties:
    App\Entity\HardwareProfile:
        id:
            identifier: false
        uuid:
            identifier: true